#ifndef _ENCODER_H_
#define _ENCODER_H_

#include <image.h>

typedef void *(*fp_text_convert_t)(const char *src, BString *dest, bool to_utf8);

typedef struct encoder_addon_t {
	image_id id;
	fp_text_convert_t fp_text_convert;
	char name[B_FILE_NAME_LENGTH];
} encoder_addon_t;

#endif
