#ifndef _TFTPPOSITIVE_H_
#define _TFTPPOSITIVE_H_

#include <Application.h>
#include <List.h>
#include "FTPClient.h"
#include "FTPWindow.h"
#include "ConfigFile.h"


#define VERSION "1.0"
#define COPY "Copyright ©momoziro 2006 All Right Reserved."


#define CONFIG_DIR "/boot/home/config/settings/FtpPositive"
#define BOOKMARKS_DIR "/boot/home/config/settings/FtpPositive/bookmarks"


extern TConfigFile *app_config;
extern BList *app_extlist;
extern BList *app_encoderlist;

typedef struct ext_item_t {
	char ei_ext[32];
	char ei_mimetype[64];
} ext_item_t;


class TFtpPositive : public BApplication
{
public:
	TFtpPositive();
	~TFtpPositive();
	
private:
	TFTPWindow *fFTPWindow;
	void fLoadAddons();
	void fUnloadAddons();
};


#endif
