#ifndef _REMOTEFILEVIEW_H_
#define _REMOTEFILEVIEW_H_

#include "ColumnListView.h"


enum {
	RFV_ICON = 0,
	RFV_NAME,
	RFV_SIZE,
	RFV_TIMESTAMP,
	RFV_PERMISSION,
	RFV_OWNER,
	RFV_GROUP,
};

class TRemoteFileItem : public CLVEasyItem
{
public:
	TRemoteFileItem(const char *name, const char *size,
		const char *timestamp, const char *permission,
		const char *owner, const char *group,
		bool isDirectory);
	~TRemoteFileItem();
};

class TRemoteFileView : public ColumnListView
{
public:
	TRemoteFileView(BRect frame, const char *name);
	~TRemoteFileView();
	void MessageReceived(BMessage *msg);
	CLVContainerView *View() { return iContainerView; };
private:
	CLVContainerView *iContainerView;
};



#endif
